import { useEffect, useState } from "react";
import { useAccount, useConnect } from "wagmi";
import useWebThreeAuth from "./useWebThreeAuth";
export default function _useAccount() {
    var _a = useWebThreeAuth(), webThreeAuthSigner = _a.signer, webThreeAuthError = _a.error;
    var _b = useAccount(), wagmiAddress = _b.address, wagmiConnector = _b.connector;
    var wagmiError = useConnect().error;
    var _c = useState(null), error = _c[0], setError = _c[1];
    var _d = useState(undefined), address = _d[0], setAddress = _d[1];
    var _e = useState(), connector = _e[0], setConnector = _e[1];
    useEffect(function () {
        setError(webThreeAuthError || (wagmiError === null || wagmiError === void 0 ? void 0 : wagmiError.message) || null);
        if (webThreeAuthSigner) {
            webThreeAuthSigner.getAddress().then(function (_address) {
                setAddress(_address);
                setConnector("Torus");
            });
        }
        else if (wagmiAddress && wagmiConnector) {
            setAddress(wagmiAddress);
            setConnector(wagmiConnector.name);
        }
        else {
            setAddress(undefined);
            setConnector(undefined);
        }
    }, [webThreeAuthSigner, wagmiConnector, wagmiAddress, wagmiError, webThreeAuthError]);
    return { address: address, connector: connector, error: error, isConnected: !!address };
}
