import { useEffect, useState } from 'react';
import { useNetwork } from 'wagmi';
import useWebThreeAuth from './useWebThreeAuth';
import { availableChains } from './provider';
export default function _useNetwork() {
    var signer = useWebThreeAuth().signer;
    var wagmiChain = useNetwork().chain;
    var _a = useState(undefined), network = _a[0], setNetwork = _a[1];
    useEffect(function () {
        if (signer) {
            signer.getChainId().then(function (chainId) {
                var found = availableChains.find(function (x) { return x.id === chainId; });
                setNetwork(found);
            });
        }
        else if (wagmiChain) {
            setNetwork(wagmiChain);
        }
    }, [signer, wagmiChain]);
    return network;
}
